
From: "Antonino A. Daplas" <adaplas@hotpop.com>

Add __iomem annotations to cyber2000fb

Signed-off-by: Antonino Daplas <adaplas@pol.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/video/cyber2000fb.c |    4 ++--
 25-akpm/drivers/video/cyber2000fb.h |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff -puN drivers/video/cyber2000fb.c~fbdev-add-__iomem-annotations-to-cyber2000fb drivers/video/cyber2000fb.c
--- 25/drivers/video/cyber2000fb.c~fbdev-add-__iomem-annotations-to-cyber2000fb	2004-10-28 19:16:37.116902192 -0700
+++ 25-akpm/drivers/video/cyber2000fb.c	2004-10-28 19:16:37.123901128 -0700
@@ -66,8 +66,8 @@ struct cfb_info {
 	struct display_switch	*dispsw;
 	struct display		*display;
 	struct pci_dev		*dev;
-	unsigned char 		*region;
-	unsigned char		*regs;
+	unsigned char 		__iomem *region;
+	unsigned char		__iomem *regs;
 	u_int			id;
 	int			func_use_count;
 	u_long			ref_ps;
diff -puN drivers/video/cyber2000fb.h~fbdev-add-__iomem-annotations-to-cyber2000fb drivers/video/cyber2000fb.h
--- 25/drivers/video/cyber2000fb.h~fbdev-add-__iomem-annotations-to-cyber2000fb	2004-10-28 19:16:37.118901888 -0700
+++ 25-akpm/drivers/video/cyber2000fb.h	2004-10-28 19:16:37.124900976 -0700
@@ -466,8 +466,8 @@ struct cfb_info;
 
 struct cyberpro_info {
 	struct pci_dev	*dev;
-	unsigned char	*regs;
-	char		*fb;
+	unsigned char	__iomem *regs;
+	char		__iomem *fb;
 	char		dev_name[32];
 	unsigned int	fb_size;
 	unsigned int	chip_id;
_
